Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.tools
Class ArgumentsTools

    java.lang.Object
      org.hibernate.envers.tools.ArgumentsTools

    public class ArgumentsTools

extends Object

Constructor Summary
`ArgumentsTools()`

Method Summary
`static void` | `checkNotNull(Object o, String paramName)`
`static void` | `checkPositive(Number i, String paramName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentsTools

    public ArgumentsTools()

Method Detail

### checkNotNull

    public static void checkNotNull(Object o,
                                    String paramName)

### checkPositive

    public static void checkPositive(Number i,
                                     String paramName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.